Bug 1233099 - Containerized Server Roles
Summary: Containerized Server Roles
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking   
(Show other bugs)
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kurik
QA Contact:
Pete Travis
URL:
Whiteboard: ChangeAcceptedF23 SelfContainedChange
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-18 08:44 UTC by Jan Kurik
Modified: 2016-09-29 11:24 UTC (History)
2 users (show)

Fixed In Version: rolekit-0.4.0-2.beta1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 11:24:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Kurik 2015-06-18 08:44:36 UTC
This is a tracking bug for Change: Containerized Server Roles
For more details, see: https://fedoraproject.org//wiki/Changes/Containerized_Server_Roles

Enhance rolekit to be able to deploy Server Roles using the Nulecule Container Specification.

Comment 1 Jan Kurik 2015-07-14 14:02:33 UTC
This message is a reminder that Fedora 23 Change Checkpoint: Completion deadline (testable) is on 2015-07-28 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jkurik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/23/Schedule

Comment 2 Jan Kurik 2015-07-15 13:59:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Stephen Gallagher 2015-07-17 17:41:03 UTC
Patches are under review upstream[1] for a containerized memcache role.

These should land upstream for a 0.4.0 beta release next week and be built in Fedora at that time. So I think we're on track for this in F23.


[1] http://reviewboard-fedoraserver.rhcloud.com/r/

Comment 4 Jan Kurik 2015-09-01 14:56:51 UTC
This message is a reminder that Fedora 23 Change Checkpoint: 100% Code Complete Deadline is on 2015-Sep-08 [1].

Expected bug state is ON_QA - Change has to be code complete and is possible to test it in the Beta release.

Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution.  It's important milestone as contingency plan may be put into effect if the Change that miss this deadline.

In case of any questions, don't hesitate to ask Wrangler (jkurik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/23/Schedule

Comment 5 Stephen Gallagher 2015-09-01 15:53:54 UTC
This was available in the Alpha images, sorry for not updating the Status.


Note You need to log in before you can comment on or make changes to this bug.